Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034599
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-11-22 18:112016-12-16 18:39
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision80dac576712c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034599: Performance problem in AcctServer process when posting a reconciliation with aprox 800 lines

DescriptionProcess takes aprox 1.5h to post reconciliation document
Steps To ReproduceI can provide environment where problem is reproducible
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0092413)
hgbot (developer)
2016-12-15 12:59

Repository: erp/devel/pi
Changeset: 80dac576712ce6a9cc24a18c483fe6d726744075
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Dec 14 15:54:12 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/80dac576712ce6a9cc24a18c483fe6d726744075 [^]

Fixes issue 34599: Bad performance when posting reconciliation with many lines

** Add m_RecordID2 member variable, getter and setter method in FactLine.java
** Set RecordID2 while Creating FactLine in Fact.java
** After successfully creation of FactLine, add RecordID2 to Set.
** Move UpdateBalancedDate in Fact.java
** For every 1000 records in RecordID2 Set, call UpdateBalancedDate method
** Set of 1000 records is nescessary to meet Oracle In clause restrictions.

---
M src/org/openbravo/erpCommon/ad_forms/Fact.java
M src/org/openbravo/erpCommon/ad_forms/FactLine.java
M src/org/openbravo/erpCommon/ad_forms/FactLine_data.xsql
---
(0092414)
hgbot (developer)
2016-12-15 12:59

Repository: erp/devel/pi
Changeset: ebd14e85e73d2dce2268d8254afbfc9c83bff61a
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu Dec 15 12:39:26 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ebd14e85e73d2dce2268d8254afbfc9c83bff61a [^]

Related to issue 34599: Code review improvements

Improve splitRecordID2Set method.

---
M src/org/openbravo/erpCommon/ad_forms/Fact.java
---
(0092415)
aferraz (developer)
2016-12-15 13:00

Code review + Testing OK
(0092416)
aferraz (developer)
2016-12-15 13:03

Process has been improved from 1.5 hours to 18 seconds.
(0092720)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test
(0092721)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-11-22 18:11 maite New Issue
2016-11-22 18:11 maite Assigned To => Triage Finance
2016-11-22 18:11 maite Modules => Core
2016-11-22 18:11 maite Triggers an Emergency Pack => No
2016-11-22 18:12 maite Issue Monitored: networkb
2016-11-22 19:16 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-11-23 08:13 heccam Issue Monitored: heccam
2016-11-24 17:59 AtulOpenbravo Status new => scheduled
2016-12-15 12:59 hgbot Checkin
2016-12-15 12:59 hgbot Note Added: 0092413
2016-12-15 12:59 hgbot Status scheduled => resolved
2016-12-15 12:59 hgbot Resolution open => fixed
2016-12-15 12:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/80dac576712ce6a9cc24a18c483fe6d726744075 [^]
2016-12-15 12:59 hgbot Checkin
2016-12-15 12:59 hgbot Note Added: 0092414
2016-12-15 13:00 aferraz Review Assigned To => aferraz
2016-12-15 13:00 aferraz Note Added: 0092415
2016-12-15 13:00 aferraz Status resolved => closed
2016-12-15 13:00 aferraz Fixed in Version => 3.0PR17Q1
2016-12-15 13:03 aferraz Note Added: 0092416
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092720
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092721


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker